Subject: bug#24282: 25.1; Better search overwrapping behaviour for `,' in Info?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 22 Aug 2016 17:47:30 +0300

> From: [email-masked] (N. Jackson)
> Date: Sun, 21 Aug 2016 16:57:31 -0300
> 
> When doing an index search of an Info manual using `i', the `,' command
> (which cycles through the matches) silently overwraps the search past
> the starting point.
> 
> Often when I'm searching, I'll have a vague feeling I've seen the same
> node several times before I realise that my search has overwrapped and
> that I'm just going around in circles.
> 
> [The start of the overwrapping is not as easy to spot as it might be
> because the matches seem to be ordered randomly and the same node can
> legitimately occur more than once. (Are they ordered by relevance
> perhaps?)]
> 
> I think it would be better (perhaps as an option) if the `,' command
> provided an indication when the search overwraps / would overwrap.
> Perhaps it could just print an error message instead of overwrapping.
> (I'm thinking of isearch's behaviour, when a search would wrap.) A
> message something like:
> 
>   No more matches, use `,' to continue from start of list.

This is what the stand-alone Info reader does, except that it also
beeps, as when the user makes a mistake.  Frankly, I was always
annoyed that Emacs doesn't behave that way, so I'd welcome an option
to make it behave like the stand-alone reader.

Thanks.